<div id="accordionIcon" class="accordion">
    <div class="accordion-item">
        <h2 class="accordion-header text-body d-flex justify-content-between" id="accordionIconOne">
            <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionIcon-1" aria-controls="accordionIcon-1">
                Recherches et filtres
            </button>
        </h2>

        <div id="accordionIcon-1" class="accordion-collapse collapse" data-bs-parent="#accordionIcon">
            <div class="accordion-body">
               
                    <div class="row">
                        <div class="col-md-4 col-12">
                            <div class="mb-1">
                                <label class="form-label" for="name">Projet</label>
                                <input  [(ngModel)]="filterValues.name" type="text" id="name" class="form-control" placeholder="" />
                            </div>
                        </div>

                        <div class="col-md-4 col-12">
                            <div class="mb-1">
                                <label class="form-label" for="status">Type</label>
                                <select id="status" class="form-control" [(ngModel)]="filterValues.type">
                                    <option value="">Tous</option>
                                    <option *ngFor="let type of types" [value]="type._id">{{type.nom}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4 col-12">
                            <div class="mb-1">
                                <label class="form-label" for="status">Statut</label>
                                <select id="status" class="form-control" [(ngModel)]="filterValues.status">
                                    <option value="">Tous</option>
                                    <option value="projectStatus.created">Créé</option>
                                    <option value="projectStatus.updated">Créé et modifié par le client</option>
                                    <option value="projectStatus.validatedByAdmin">Validé</option>
                                    <option value="projectStatus.todosValidatedByClient">Liste à faire validée</option>
                                    <option value="projectStatus.finished">Terminé</option>
                                    <option value="projectStatus.billed">Facturé</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4 col-12">
                            <div class="mb-1">
                                <label class="form-label" for="date-min">Date min</label>
                                <input type="datetime-local" id="cdate-min" class="form-control"   [(ngModel)]="filterValues.dateMin"/>
                            </div>
                        </div>
                        <div class="col-md-4 col-12">
                            <div class="mb-1">
                                <label class="form-label" for="date-max">Date max</label>
                                <input type="datetime-local" id="date-max" class="form-control"   [(ngModel)]="filterValues.dateMax"/>
                            </div>
                        </div>
                        
                        
                       
                        <div class="col-12">
                            <app-gen-button [text]="'Rechercher'" [customClass]="'me-1'"  (click)="clickFilter()"></app-gen-button>
                            <button type="reset" class="btn btn-outline-secondary" (click)="init()">Reinitialiser</button>
                        </div>
                    </div>
               
            </div>
        </div>
    </div>
</div>